LIBRARY IEEE;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY test_dr IS
END ENTITY;

ARCHITECTURE test_reg8 OF test_dr IS
	SIGNAL ESD, WR, RD, CLR, SET : STD_LOGIC;
	SIGNAL D : STD_LOGIC_VECTOR(7 DOWNTO 0);
	SIGNAL Q : STD_LOGIC_VECTOR(7 DOWNTO 0);
BEGIN
	reg : ENTITY work.dr_registre PORT MAP(D, Q, ESD, WR, RD, CLR, SET);
	
	D <= "11111110";	
	ESD <='U','1' After 15 ns;	
	SET	<= '1','0' AFTER 10 ns, '1' AFTER 25 ns;
	CLR <='0', '1' AFTER 40 ns, '0' AFTER 50 ns;
	WR <= '1' AFTER 20 ns;
	RD <= '0', '1' AFTER 30 ns;
END ARCHITECTURE;
